repo/gentoo:master commit in: dev-python/uv-dynamic-versioning/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787117909.fb08b715948cc1e92c26452fc70e846c404d5d4c.mgorny@gentoo>
commit:     fb08b715948cc1e92c26452fc70e846c404d5d4c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 05:07:38 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 05:38:29 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb08b715

dev-python/uv-dynamic-versioning: Bump to 0.14.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/uv-dynamic-versioning/Manifest          |  2 +
 .../uv-dynamic-versioning-0.14.1.ebuild            | 53 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/uv-dynamic-versioning/Manifest b/dev-python/uv-dynamic-versioning/Manifest
index 15d08e5974af..e9031c10cf4c 100644
--- a/dev-python/uv-dynamic-versioning/Manifest
+++ b/dev-python/uv-dynamic-versioning/Manifest
@@ -1,2 +1,4 @@
 DIST uv_dynamic_versioning-0.14.0.tar.gz 47203 BLAKE2B 4d8e2c87c1eefe86dfe279f249fbb9ef62efba3de2928742107e2fbc024dd4c5c72103608daf777e40e0296998bbdc2552a075a260a19350c2a240798d668d23 SHA512 381a4f4b106d0a79ecbf52dedbfe553263631f0c5408aae0de4abfe6cd57b14e3f62ee4ebf0d6b7ee856e2e54e932e89f563ef6cfd6281f0658f57bdbfdf8313
 DIST uv_dynamic_versioning-0.14.0.tar.gz.provenance 9629 BLAKE2B f43a3ab3d0b5eb649d127c711facbbe027858b2c7da9231a9456362b05e1df8c122307a7563ddc115c3a8b82d63ea36923d6caacab183ad71dc6ad9e857c11ae SHA512 6cd40b5c303a0942976818630ca80e0687af79bacd02ae6afe09d07ce30be8e0b23c016f75a8b531763fdf3b834681fea346061eaa4a046481fcb3f589c9c8e8
+DIST uv_dynamic_versioning-0.14.1.tar.gz 42153 BLAKE2B ff992b143f146b1e4d1c6cc7d6cdc61f2d6d676d0c8f2196f77ea30aec08040390628017b605ea76bad18f49d18018c620707028358f111676fa121f445a7e22 SHA512 ceb909615dedeff25a7702c83661cb68f79b95c56703658f1193df4bf23874d71eed9fb850cc5793348a83bf7d74f6b034d669aae75380d79445e3dffcc9553f
+DIST uv_dynamic_versioning-0.14.1.tar.gz.provenance 10214 BLAKE2B 8bd04d443a4d06b4af41b265b233d27e626432f8328492357ec732e7ea2518ee329affc2709e900ce39489a3ca465282404e41929f543a71e9d1249d96da4c00 SHA512 8e00606c4f3b05c2e138715033d2a4553f57051cc2fc7fe3349749fd3b79e053af161c8a52bcebe207b5b84deb3bc483f1c832f804e481f6a3e8902d2e65d6df

diff --git a/dev-python/uv-dynamic-versioning/uv-dynamic-versioning-0.14.1.ebuild b/dev-python/uv-dynamic-versioning/uv-dynamic-versioning-0.14.1.ebuild
new file mode 100644
index 000000000000..9ed3cad4a1b8
--- /dev/null
+++ b/dev-python/uv-dynamic-versioning/uv-dynamic-versioning-0.14.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/ninoseki/uv-dynamic-versioning
+PYTHON_COMPAT=( python3_{12..15} python3_{14,15}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Dynamic versioning based on VCS tags for uv/hatch project"
+HOMEPAGE="
+	https://github.com/ninoseki/uv-dynamic-versioning/
+	https://pypi.org/project/uv-dynamic-versioning/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	>=dev-python/dunamai-1.26.1[${PYTHON_USEDEP}]
+	>=dev-python/hatchling-1.28[${PYTHON_USEDEP}]
+	>=dev-python/jinja2-3.0[${PYTHON_USEDEP}]
+	>=dev-python/tomlkit-0.13[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		>=dev-python/gitpython-3.1.45[${PYTHON_USEDEP}]
+		dev-vcs/git
+	)
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	# unpin dependencies
+	sed -i -e 's:~=:>=:' pyproject.toml || die
+}
+
+src_test() {
+	git config --global user.email "[email protected]" || die
+	git config --global user.name "Your Name" || die
+
+	git init || die
+	git commit --allow-empty -m 'test suite needs a git repo' || die
+
+	distutils-r1_src_test
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.